%define name kicker-compiz
%define version 0.2
%define kde_version 3.5.4
%define distname %{name}-%{kde_version}
%define release %mkrel 1

Summary: A modified pager applet with compiz support for kicker 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0: kicker-compiz-3.5.4-libs.patch
License: GPL
Group: Graphical desktop/KDE
Url: http://www.kde-apps.org/content/show.php?content=46021
BuildRequires: kdebase-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
This is a modified pager applet for kicker to make it work with
compiz. More generally, it is intended to work with window managers
that use the concept of "large desktops" instead of "multiple virtual
desktops" as kwin does exclusively.

%prep
%setup -q -n %{distname}
%patch0 -p1 -b .libs

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/kde3/compizpager_panelapplet.la
%{_libdir}/kde3/compizpager_panelapplet.so
%{_datadir}/apps/kicker/applets/compizpagerapplet.desktop


%changelog
* Mon Sep 25 2006 Olivier Blin <oblin@mandriva.com> 0.2-1mdv2007.0
+ Revision: 62614
- initial Mandriva release
- Created package structure for kicker-compiz.

